baseURL: 'https://no-js.club'
title: The no-JS Club | Promenade for JavaScript freed websites
author: shruub
copyright: 'Copyright © 2022, Frank Homburg, © 2023 shruub'
languageCode: en-US
enableRobotsTXT: true

params:
  description: Showcase of JavaScript liberated websites
  favicon: favicon.ico
  title: The no-JS Club
  hideMadeWithLine: false
  dateFormat: '2006-01-02'
menu:
  main:
    - name: Members
      url: /members/
      weight: 10

    - name: FAQ
      url: /faq/
      weight: 20

markup:
  highlight:
    anchorLineNos: false
    codeFences: true
    guessSyntax: false
    hl_Lines: ''
    lineAnchors: ''
    lineNoStart: 1
    lineNos: true
    lineNumbersInTable: true
    noClasses: true
    style: dracula
    tabWidth: 2
    defaultMarkdownHandler: goldmark

  asciidocExt:
    backend: html5
    extensions: []
    failureLevel: fatal
    noHeaderOrFooter: true
    preserveTOC: false
    safeMode: unsafe
    sectionNumbers: false
    trace: false
    verbose: false
    workingFolderCurrent: false
    attributes: {}

  goldmark:
    extensions:
      definitionList: true
      footnote: true
      linkify: true
      strikethrough: true
      table: true
      taskList: true
      typographer: true
    parser:
      autoHeadingID: true
      autoHeadingIDType: github
      attribute:
        block: false
        title: true
    renderer:
      hardWraps: false
      unsafe: true
      xhtml: false

  tableOfContents:
    endLevel: 3
    ordered: false
    startLevel: 2

imaging:
  resampleFilter: box
  quality: 75
  anchor: smart
  bgColor: '#ffffff'
  disableDate: true
  disableLatLong: true
